!c99Shell v. 1.0 pre-release build #16!

Software: Apache/2.2.3 (CentOS). PHP/5.1.6 

uname -a: Linux mx-ll-110-164-51-230.static.3bb.co.th 2.6.18-194.el5PAE #1 SMP Fri Apr 2 15:37:44
EDT 2010 i686
 

uid=48(apache) gid=48(apache) groups=48(apache) 

Safe-mode: OFF (not secure)

/usr/bin/   drwxr-xr-x
Free 52.29 GB of 127.8 GB (40.91%)
Home    Back    Forward    UPDIR    Refresh    Search    Buffer    Encoder    Tools    Proc.    FTP brute    Sec.    SQL    PHP-code    Update    Feedback    Self remove    Logout    


Viewing file:     rebuild-jar-repository (1.76 KB)      -rwxr-xr-x
Select action/file-type:
(+) | (+) | (+) | Code (+) | Session (+) | (+) | SDB (+) | (+) | (+) | (+) | (+) | (+) |
#!/bin/sh
#
# Small script to rebuild a jar repository depending on the JVM used
#
# JPackage Project <http://www.jpackage.org/>
#
# $Id: rebuild-jar-repository,v 1.3 2006/03/29 19:45:09 jasonc Exp $

# Import java functions
[ -r /usr/share/java-utils/java-functions ] \
 &&  . /usr/share/java-utils/java-functions || exit 1

# Prints help message
usage() {
/bin/cat >&2 << EOF_USAGE
Usage: $0 [<linktype>] <directory>
                                                                                                                              
With:
    linktype:
              -s, --soft, --symbolic   create symbolic links (default)
              -h, --hard               create hard links
              -c, --copy               copy files
    directory: name of an existing directory where existing links will be
               recreated

EOF_USAGE
exit 2
}

[ "$#" -lt "1" ] && usage

unset repository
unset args

while [ $# -gt 0 -a -z "$repository" ] ; do
   case "$1" in
      -h|--hard|-s|--soft|--symbolic|-c|--copy)
         args=$1
         ;;
      --|-)
         args="$args --"
         break
         ;;
      *)
         repository=$1
         if ! [ -d "$repository" -a -w "$repository" ] ; then
            echo "$0: error: $1 must be a writable directory" >&2
            exit 7
         fi
   esac
   shift
done

args="$args $@"

set_javacmd || exit 3

check_java_env || exit 4

set_jvm_dirs || exit 5

extension_list=$(find $repository -name '\[*\]*.jar' -not -type d | \
sed 's+\]\[+/+g' | sed 's+.*\[++g' | sed 's+\].*++g' | sort | uniq)

rm -f $(find $repository -name '\[*\]*.jar' -not -type d)

link_jar_repository $repository $args $extension_list

if [ "$?" = 0 ] ; then
    exit 0
else
    echo "$0: error: Some detected jars were not found for this jvm" >&2
    exit 6
fi

:: Command execute ::

Enter:
 
Select:
 

:: Shadow's tricks :D ::

Useful Commands
 
Warning. Kernel may be alerted using higher levels
Kernel Info:

:: Preddy's tricks :D ::

Php Safe-Mode Bypass (Read Files)

File:

eg: /etc/passwd

Php Safe-Mode Bypass (List Directories):

Dir:

eg: /etc/

:: Search ::
  - regexp 

:: Upload ::
 
[ Read-Only ]

:: Make Dir ::
 
[ Read-Only ]
:: Make File ::
 
[ Read-Only ]

:: Go Dir ::
 
:: Go File ::
 

--[ c999shell v. 1.0 pre-release build #16 Modded by Shadow & Preddy | RootShell Security Group | r57 c99 shell | Generation time: 0.0059 ]--